Skip to content

Results are limited to the current section : Cloud Services

Get Devices

GET
/api/v2/devices

Retrieve the list of devices accessible to the authenticated user.

Returns both QPU and emulator devices. Use query parameters to filter by device type, availability, or public visibility. Results include each device’s current status, supported features, and specifications.

order_by
Order By
string
default: created_at
order_by_direction
string
Allowed values: ASC DESC
limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0
device_type

Filter devices by type. Omit to skip filter.

Array<string>
default:
Allowed values: EMU_FREE EMU_SV EMU_TN EMU_C FRESNEL FRESNEL_CAN1 FRESNEL_SA1 FRESNEL8 EMU_FRESNEL FRESNEL_RD EMU_MPS

Filter devices by type. Omit to skip filter.

availability

Filter devices by availability status. Omit to skip filter.

Array<string>
default:
Allowed values: ACTIVE INACTIVE RETIRED

Filter devices by availability status. Omit to skip filter.

public
Public

Filter devices by public visibility. Omit to skip filter.

boolean
""

Filter devices by public visibility. Omit to skip filter.

Successful Response

HeaderPaginatedResponse[ProducedDeviceResponse]

A list of responses with pagination information.

For backwards compatibility, this also exposes pagination using the following header format:

Access-Control-Expose-Headers: Content-Range
Content-Range: $FIRST_ITEM_IN_BATCH-$LAST_ITEM_IN_BACH/$TOTAL_ITEMS_AVAILABLE
object
status
string
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array<object>
ProducedDeviceResponse

Device visible to the authenticated user.

object
id
required
Id

Unique identifier for the device.

string format: uuid
name
required
Name

Deprecated. Same value as device_type.

string
device_type
required
Device Type

Type identifier of the device (e.g. FRESNEL).

string
status
required

Current operational status of the device.

string
Allowed values: UP DOWN
average_queue_time
required
Average Queue Time

Average wait time (seconds) before a job of this device type is processed, measured over the last hour.

integer
max_atom_num
Max Atom Num

Maximum number of qubits supported by the device.

integer
is_emulator
required
Is Emulator

Whether the device is an emulator.

boolean
channels
Channels

Channel identifiers available on the device.

Array<string>
status_message
Status Message

Human-readable status message for the device.

string
allowed_result_types
required

Result types the device can produce.

Array<string>
Allowed values: counter run sample expectation
default_result_types
required

Result types the device uses by default when none are specified.

Array<string>
Allowed values: counter run sample expectation
active
required
Active

Deprecated. Use availability instead.

boolean
description
Description

Description of the device.

string
bill_usage
required
Bill Usage

Whether usage of this device is billed.

boolean
availability
required

Availability status of the device.

string
Allowed values: ACTIVE INACTIVE RETIRED
has_execution_logs
required
Has Execution Logs

Whether the device provides execution logs.

boolean
Example
{
"id": "00000000-0000-0000-0000-000000000010",
"name": "FRESNEL",
"device_type": "FRESNEL",
"status": "UP",
"average_queue_time": 42,
"max_atom_num": 100,
"is_emulator": false,
"channels": [
"rydberg_global",
"rydberg_local"
],
"allowed_result_types": [
"counter",
"run"
],
"default_result_types": [
"counter"
],
"active": true,
"description": "Fresnel QPU",
"bill_usage": true,
"availability": "ACTIVE",
"has_execution_logs": false
}
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string